gulp-rtlcss
Gulp plugin that uses RTLCSS to convert LTR CSS to RTL.
Last updated 5 years ago by jjlharrison .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install gulp-rtlcss 
SYNC missed versions from official npm registry.

gulp-rtlcss

MIT Licence NPM Version Build Status Dependency Status Language grade: JavaScript

Gulp plugin that uses RTLCSS to convert LTR CSS to RTL.

Install

$ npm install --save-dev gulp-rtlcss

Basic Usage

var gulp = require('gulp');
var rtlcss = require('gulp-rtlcss');

gulp.task('default', function () {
	return gulp.src('styles.css')
		.pipe(rtlcss())
		.pipe(gulp.dest('dist'));
});

Configuration

The plugin optionally accepts RTLCSS configuration either as an argument or with a file named .rtlcssrc or .rtlcssrc.json.

See the RTLCSS documentation for more information about accepted configuration.

Example

The below example will result in 2 copies of each stylesheet, one LTR stylesheet and one RTL stylesheet (with "-rtl" appended to the filename before the extension). The example uses autoprefixer, this is just an example of other CSS post-processing being used before rtlcss.

var gulp = require('gulp');
var autoprefixer = require('gulp-autoprefixer');
var rtlcss = require('gulp-rtlcss');
var rename = require('gulp-rename');
var sourcemaps = require('gulp-sourcemaps');

gulp.task('styles', function () {
    return gulp.src(['/styles/*.css'])
		.pipe(sourcemaps.init())
        .pipe(autoprefixer(["last 2 versions", "> 1%"])) // Other post-processing.
        .pipe(gulp.dest('dist')) // Output LTR stylesheets.
        .pipe(rtlcss()) // Convert to RTL.
        .pipe(rename({ suffix: '-rtl' })) // Append "-rtl" to the filename.
		.pipe(sourcemaps.write('dist')) // Output source maps.
        .pipe(gulp.dest('dist')); // Output RTL stylesheets.
});

Change Log

1.4.1 - 2020-03-10

1.4.0 - 2019-06-18

  • Upgrade through2 to 2.0.5.

1.3.0 - 2018-09-17

  • Upgrade to RTLCSS 2.4.0.
  • Upgrade plugin-error to 1.0.1.

1.2.0 - 2018-03-18

  • Upgrade to RTLCSS 2.2.1.

1.1.0 - 2018-01-10

  • Add support for gulp-sourcemaps.
  • Remove gulp-util in favour of plugin-error.

1.0.0 - 2016-02-18

  • #6 Upgrade to RTLCSS 2.

0.1.4 - 2015-01-28

  • #2 Add support for RTLCSS configuration.

Current Tags

  • 1.4.1                                ...           latest (6 months ago)
  • 0.1.1                                ...           true (6 years ago)

11 Versions

  • 1.4.1                                ...           6 months ago
  • 1.4.0                                ...           a year ago
  • 1.3.0                                ...           2 years ago
  • 1.2.0                                ...           3 years ago
  • 1.1.0                                ...           3 years ago
  • 1.0.0                                ...           5 years ago
  • 0.1.4                                ...           6 years ago
  • 0.1.3                                ...           6 years ago
  • 0.1.2                                ...           6 years ago
  • 0.1.1                                ...           6 years ago
  • 0.1.0                                ...           6 years ago

Copyright 2014 - 2016 © taobao.org |